Lấy thông tin chi tiết một mã trái phiếu
curl --request GET \
--url https://api.fireant.vn/bonds/{bondCode} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fireant.vn/bonds/{bondCode}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fireant.vn/bonds/{bondCode}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fireant.vn/bonds/{bondCode}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fireant.vn/bonds/{bondCode}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fireant.vn/bonds/{bondCode}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fireant.vn/bonds/{bondCode}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"bondCode": "<string>",
"detail": {
"bondCode": "<string>",
"isin": "<string>",
"issuerName": "<string>",
"issuerSymbol": "<string>",
"issuerListingStatus": true,
"institutionID": 123,
"issuerICBCode": "<string>",
"bondName": "<string>",
"bondType": "<string>",
"market": "<string>",
"status": "<string>",
"couponRate": "<string>",
"couponRateType": "<string>",
"interestPaymentMethod": "<string>",
"issueDate": "2023-11-07T05:31:56Z",
"maturityDate": "2023-11-07T05:31:56Z",
"tenorPeriod": "<string>",
"faceValue": 123,
"currency": "<string>",
"totalIssuedValue": 123,
"currentListedValue": 123,
"issueForm": "<string>",
"issueMethod": "<string>"
},
"history": [
{
"registrationNo": 123,
"registrationType": "<string>",
"reason": "<string>",
"volume": 123,
"value": 123,
"registrationCert": "<string>",
"registrationDate": "2023-11-07T05:31:56Z"
}
],
"cashFlows": [
{
"periodNo": 123,
"periodStart": "2023-11-07T05:31:56Z",
"periodEnd": "2023-11-07T05:31:56Z",
"paymentDate": "2023-11-07T05:31:56Z",
"bondRate": 123,
"yearFraction": 123,
"interestAmount": 123,
"principalAmount": 123,
"totalCashflow": 123
}
]
}Bond
Lấy thông tin chi tiết một mã trái phiếu
GET
/
bonds
/
{bondCode}
Lấy thông tin chi tiết một mã trái phiếu
curl --request GET \
--url https://api.fireant.vn/bonds/{bondCode} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fireant.vn/bonds/{bondCode}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fireant.vn/bonds/{bondCode}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fireant.vn/bonds/{bondCode}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fireant.vn/bonds/{bondCode}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fireant.vn/bonds/{bondCode}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fireant.vn/bonds/{bondCode}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"bondCode": "<string>",
"detail": {
"bondCode": "<string>",
"isin": "<string>",
"issuerName": "<string>",
"issuerSymbol": "<string>",
"issuerListingStatus": true,
"institutionID": 123,
"issuerICBCode": "<string>",
"bondName": "<string>",
"bondType": "<string>",
"market": "<string>",
"status": "<string>",
"couponRate": "<string>",
"couponRateType": "<string>",
"interestPaymentMethod": "<string>",
"issueDate": "2023-11-07T05:31:56Z",
"maturityDate": "2023-11-07T05:31:56Z",
"tenorPeriod": "<string>",
"faceValue": 123,
"currency": "<string>",
"totalIssuedValue": 123,
"currentListedValue": 123,
"issueForm": "<string>",
"issueMethod": "<string>"
},
"history": [
{
"registrationNo": 123,
"registrationType": "<string>",
"reason": "<string>",
"volume": 123,
"value": 123,
"registrationCert": "<string>",
"registrationDate": "2023-11-07T05:31:56Z"
}
],
"cashFlows": [
{
"periodNo": 123,
"periodStart": "2023-11-07T05:31:56Z",
"periodEnd": "2023-11-07T05:31:56Z",
"paymentDate": "2023-11-07T05:31:56Z",
"bondRate": 123,
"yearFraction": 123,
"interestAmount": 123,
"principalAmount": 123,
"totalCashflow": 123
}
]
}